.lang-panel {
  max-width: 180px;
  position: relative;
  display: flex;
  align-items: center;
  padding: 0 15px; }
  .lang-panel:hover {
    cursor: pointer; }
    .lang-panel:hover .lang-selected {
      color: #5EB56C; }
    .lang-panel:hover .lang-selected:after {
      background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.3964 7H4.60355C4.38083 7 4.26928 7.26928 4.42678 7.42678L7.82322 10.8232C7.92085 10.9209 8.07915 10.9209 8.17678 10.8232L11.5732 7.42678C11.7307 7.26929 11.6192 7 11.3964 7Z' fill='%235EB56C'/%3E%3C/svg%3E%0A"); }
  .lang-panel.active {
    cursor: pointer; }
    .lang-panel.active .lang-selected:after {
      transform: rotate(180deg); }
    .lang-panel.active .lang-selected + .lang-list {
      display: block; }

.lang-selected {
  padding: 2px 25px 2px 30px;
  transition: all ease .3s;
  position: relative; }
  .lang-selected:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    height: 20px;
    width: 20px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 19px; }
  .lang-selected:after {
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    top: 0;
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    display: block;
    margin: auto;
    transition: all ease .3s;
    background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.3964 7H4.60355C4.38083 7 4.26928 7.26928 4.42678 7.42678L7.82322 10.8232C7.92085 10.9209 8.07915 10.9209 8.17678 10.8232L11.5732 7.42678C11.7307 7.26929 11.6192 7 11.3964 7Z' fill='black'/%3E%3C/svg%3E%0A"); }
  .lang-selected--eng:before {
    background-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cmask id='mask0_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='1' y='1' width='20' height='20'%3E%3Ccircle cx='11' cy='11' r='10' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask0_329_1785)'%3E%3Cpath d='M-9 1V21H31V1H-9Z' fill='%23012169'/%3E%3Cpath d='M-9 1L31 21ZM31 1L-9 21Z' fill='black'/%3E%3Cpath d='M-9 1L31 21M31 1L-9 21' stroke='white' stroke-width='4'/%3E%3Cmask id='mask1_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='-9' y='1' width='20' height='20'%3E%3Crect x='-9' y='1' width='20' height='20' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask1_329_1785)'%3E%3Cpath d='M-9 1.66663L31 21.6666ZM31 1.66663L-9 21.6666Z' fill='black'/%3E%3Cpath d='M-9 1.66663L31 21.6666M31 1.66663L-9 21.6666' stroke='%23C8102E' stroke-width='1.33333'/%3E%3C/g%3E%3Cmask id='mask2_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='11' y='1' width='20' height='20'%3E%3Crect x='11' y='1' width='20' height='20' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask2_329_1785)'%3E%3Cpath d='M-9 0.333374L31 20.3334ZM31 0.333374L-9 20.3334Z' fill='black'/%3E%3Cpath d='M-9 0.333374L31 20.3334M31 0.333374L-9 20.3334' stroke='%23C8102E' stroke-width='1.33333'/%3E%3C/g%3E%3Cpath d='M11 1V21ZM-9 11H31Z' fill='black'/%3E%3Cpath d='M11 1V21M-9 11H31' stroke='white' stroke-width='6.66667'/%3E%3Cpath d='M11 1V21ZM-9 11H31Z' fill='black'/%3E%3Cpath d='M11 1V21M-9 11H31' stroke='%23C8102E' stroke-width='4'/%3E%3C/g%3E%3Crect x='0.5' y='0.5' width='21' height='21' rx='10.5' stroke='%23BEBEBE'/%3E%3C/svg%3E%0A"); }
  .lang-selected--rus:before {
    background-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cmask id='mask0_329_1773' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='1' y='1' width='20' height='20'%3E%3Ccircle cx='11' cy='11' r='10' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask0_329_1773)'%3E%3Crect x='1' y='1' width='20' height='6' fill='white'/%3E%3Crect x='1' y='7' width='20' height='8' fill='%230F3CA0'/%3E%3Crect x='1' y='15' width='20' height='7' fill='%23C43C2C'/%3E%3C/g%3E%3Crect x='0.5' y='0.5' width='21' height='21' rx='10.5' stroke='%23BEBEBE'/%3E%3C/svg%3E%0A"); }

.lang-list {
  display: none;
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  right: 0;
  z-index: 100;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1); }

.lang-item {
  padding: 10px 15px;
  background-color: #fff; }
  .lang-item:not(:last-child) {
    border-bottom: 1px solid #E2E2E2; }

.lang-link {
  padding: 2px 25px 2px 30px;
  position: relative;
  width: 100%; }
  @media (min-width: 980px) {
    .lang-link:hover {
      color: #5EB56C;
      text-decoration: none; } }
  .lang-link:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    height: 20px;
    width: 20px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 19px; }
  .lang-link--active {
    color: #36A347;
    pointer-events: none; }
    .lang-link--active:after {
      content: '';
      position: absolute;
      right: 0;
      bottom: 0;
      top: 0;
      width: 16px;
      height: 16px;
      background-repeat: no-repeat;
      display: block;
      margin: auto;
      background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M4 7.5L7 11L12 4' stroke='%2336A347' stroke-width='2'/%3E%3C/svg%3E%0A"); }
  .lang-link--eng:before {
    background-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cmask id='mask0_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='1' y='1' width='20' height='20'%3E%3Ccircle cx='11' cy='11' r='10' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask0_329_1785)'%3E%3Cpath d='M-9 1V21H31V1H-9Z' fill='%23012169'/%3E%3Cpath d='M-9 1L31 21ZM31 1L-9 21Z' fill='black'/%3E%3Cpath d='M-9 1L31 21M31 1L-9 21' stroke='white' stroke-width='4'/%3E%3Cmask id='mask1_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='-9' y='1' width='20' height='20'%3E%3Crect x='-9' y='1' width='20' height='20' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask1_329_1785)'%3E%3Cpath d='M-9 1.66663L31 21.6666ZM31 1.66663L-9 21.6666Z' fill='black'/%3E%3Cpath d='M-9 1.66663L31 21.6666M31 1.66663L-9 21.6666' stroke='%23C8102E' stroke-width='1.33333'/%3E%3C/g%3E%3Cmask id='mask2_329_1785' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='11' y='1' width='20' height='20'%3E%3Crect x='11' y='1' width='20' height='20' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask2_329_1785)'%3E%3Cpath d='M-9 0.333374L31 20.3334ZM31 0.333374L-9 20.3334Z' fill='black'/%3E%3Cpath d='M-9 0.333374L31 20.3334M31 0.333374L-9 20.3334' stroke='%23C8102E' stroke-width='1.33333'/%3E%3C/g%3E%3Cpath d='M11 1V21ZM-9 11H31Z' fill='black'/%3E%3Cpath d='M11 1V21M-9 11H31' stroke='white' stroke-width='6.66667'/%3E%3Cpath d='M11 1V21ZM-9 11H31Z' fill='black'/%3E%3Cpath d='M11 1V21M-9 11H31' stroke='%23C8102E' stroke-width='4'/%3E%3C/g%3E%3Crect x='0.5' y='0.5' width='21' height='21' rx='10.5' stroke='%23BEBEBE'/%3E%3C/svg%3E%0A"); }
  .lang-link--rus:before {
    background-image: url("data:image/svg+xml,%3Csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cmask id='mask0_329_1773' style='mask-type:alpha' maskUnits='userSpaceOnUse' x='1' y='1' width='20' height='20'%3E%3Ccircle cx='11' cy='11' r='10' fill='%23D9D9D9'/%3E%3C/mask%3E%3Cg mask='url(%23mask0_329_1773)'%3E%3Crect x='1' y='1' width='20' height='6' fill='white'/%3E%3Crect x='1' y='7' width='20' height='8' fill='%230F3CA0'/%3E%3Crect x='1' y='15' width='20' height='7' fill='%23C43C2C'/%3E%3C/g%3E%3Crect x='0.5' y='0.5' width='21' height='21' rx='10.5' stroke='%23BEBEBE'/%3E%3C/svg%3E%0A"); }
